//----------------THIS IS NOT FOR EDITED-------------------
element {
  --boolean-true-value:"";
  --boolean-false-value:"";
  --loader-width: "";
  --loader-height: "";
  --loader-border: "";
  --table-min-width: "";
}
//---------------------------------------------------------

//---------------------RL-BUTTON--------------------------
.rl-button {

}
//-----------------END OF RL-BUTTON-----------------------

//---------------------RL-DATEPICKER----------------------
.rl-datepicker {

}
//-----------------END OF RL-DATEPICKER-------------------

//---------------------RL-NUMERIC-------------------------
.rl-numeric {

}
//-----------------END OF RL-NUMERIC----------------------

//---------------------RL-PASSWORD------------------------
.rl-password {

}
//-----------------END OF RL-PASSWORD---------------------

//---------------------RL-SELECT--------------------------
.rl-select {

}
//-----------------END OF RL-SELECT-----------------------

//---------------------RL-TEXTAREA------------------------
.rl-textarea {

}
//-----------------END OF RL-TEXTAREA---------------------

//---------------------RL-TEXTBOX-------------------------
.rl-textbox {

}
//-----------------END OF RL-TEXTBOX----------------------

//---------------------RL-VALIDATION----------------------
.rl-validation-message {

}
//-----------------END OF RL-VALIDATION-------------------

//---------------------RL-FILE----------------------------
.rl-file {

}
//-----------------END OF RL-FILE-------------------------

//---------------------RL-BOOLEAN-------------------------
.rl-onoffswitch {
	position: relative;
	width: 100px;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
}

.rl-onoffswitch-checkbox {
	display: none;
}

.rl-onoffswitch-label {
	display: block;
	overflow: hidden;
	cursor: pointer;
	border: 2px solid #999999;
	border-radius: 20px;
}

.rl-onoffswitch-inner {
	display: block;
	width: 200%;
	margin-left: -100%;
	transition: margin 0.3s ease-in 0s;
}

.rl-onoffswitch-inner:before,
.rl-onoffswitch-inner:after {
	display: block;
	float: left;
	width: 50%;
	height: 34px;
	padding: 0;
	line-height: 34px;
	font-size: 14px;
	color: white;
	font-family: Trebuchet, Arial, sans-serif;
	font-weight: bold;
	box-sizing: border-box;
}

.rl-onoffswitch-inner:before {
	content: var(--boolean-true-value);
	padding-left: 10px;
	background-color: #34A7C1;
	color: #FFFFFF;
}

.rl-onoffswitch-inner:after {
	content: var(--boolean-false-value);
	padding-right: 10px;
	background-color: #EEEEEE;
	color: #999999;
	text-align: right;
}

.rl-onoffswitch-switch {
	display: block;
	width: 20px;
	margin: 7px;
	background: #FFFFFF;
	position: absolute;
	top: 0;
	bottom: 0;
	right: 60px;
	border: 2px solid #999999;
	border-radius: 20px;
	transition: all 0.3s ease-in 0s;
}

.rl-onoffswitch-checkbox:checked+.rl-onoffswitch-label .rl-onoffswitch-inner {
	margin-left: 0;
}

.rl-onoffswitch-checkbox:checked+.rl-onoffswitch-label .rl-onoffswitch-switch {
	right: 0px;
}
//-----------------END OF RL-BOOLEAN----------------------

//---------------------RL-TABLE---------------------------
.rl-table-unresponsive {
  display: inline-block;
  overflow-x: auto;
  width: 100%;
}
.rl-table-unresponsive table thead tr th {
  min-width: var(--table-min-width);
}
.rl-table {

}
.rl-table-loader{
  text-align: -webkit-center;
  border-collapse: initial;
}
.rl-column{
  cursor: pointer;
}
.rl-pagination{
  display: flex;
  float: right;
  margin-top: 10px;
}
.rl-table-header {
  display: flex;
  margin-top: 10px
}
.rl-table-header .rl-page-buttons{
  width: 70%;
}
.rl-table-header .rl-page-options{
  width: 30%;
  margin-bottom: 10px;
}
.rl-table-header .rl-page-options .rl-page-size{
  width :25%;
  float: right;
  padding-right: 5px;
}
.rl-table-header .rl-page-options .rl-filter{
  width: 75%;
  float: right;
}
@media only screen and (max-width: 1000px) {
  .rl-table-header .rl-page-options .rl-page-size{
    width :30%;
  }
  .rl-table-header .rl-page-options .rl-filter{
    width: 70%;
  }
}
@media only screen and (max-width: 800px) {
  .rl-table-header {
    display: grid;
  }
  .rl-table-header .rl-page-buttons{
    width: 100%;
  }
  .rl-table-header .rl-page-options{
    width: 100%;
  }
  .rl-table-header .rl-page-options .rl-page-size{
    width :20%;
  }
  .rl-table-header .rl-page-options .rl-filter{
    width: 80%;
  }
}
//-----------------END OF RL-TABLE-----------------------

//---------------------RL-LOADER--------------------------
.rl-loader {
  border: var(--loader-border) solid #f3f3f3;
  border-radius: 50%;
  border-top: var(--loader-border) solid #3498db;
  width: var(--loader-width);
  height: var(--loader-height);
  -webkit-animation: spin 2s linear infinite; /* Safari */
  animation: spin 2s linear infinite;
  display: inline-block;
  margin-right:5px;
}

/* Safari */
@-webkit-keyframes spin {
  0% { -webkit-transform: rotate(0deg); }
  100% { -webkit-transform: rotate(360deg); }
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}
//-----------------END OF RL-LOADER-----------------------




